> For the complete documentation index, see [llms.txt](https://docs.dexlab.space/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dexlab.space/api-documentation/rest-api.md).

# \[Deprecated] REST API

Welcome to the DexLab API documentation.Provides an optimized trading API for dex trading.

{% hint style="danger" %}
**All Rest APIs have been deprecated.**
{% endhint %}

{% content-ref url="/pages/zwhhYegR8emuLZoZXA9n" %}
[Dexlab BI/CI](/products/dexlab-bi-ci.md)
{% endcontent-ref %}

Provides API optimized for dex transactions. By providing an API similar to a general exchange, it can be used for various types of services.

**Dexlab provides API and chart data for over 1000+ markets.**

{% content-ref url="/pages/-MLwUbLzPhS5pvNmoUD0" %}
[\[Deprecated\] Pair API](/api-documentation/rest-api/pair-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MLwTeTlnFMSHErN0\_7v" %}
[\[Deprecated\] OrderBook API](/api-documentation/rest-api/orderbook-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MSmQFqGObUGy-PdD7Kf" %}
[\[Deprecated\] Trade Info API](/api-documentation/rest-api/trade-api-1.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MSmUII5niw150sIVLIg" %}
[\[Deprecated\] Price API](/api-documentation/rest-api/price-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MSmOdJW0PlP4c2L33Aw" %}
[Broken mention](broken://pages/-MSmOdJW0PlP4c2L33Aw)
{% endcontent-ref %}

{% content-ref url="/pages/-MLwVCyplPx7kssq46Mo" %}
[Broken mention](broken://pages/-MLwVCyplPx7kssq46Mo)
{% endcontent-ref %}

{% content-ref url="/pages/-Mg67GctA62F59p3Czwe" %}
[\[Deprecated\] TV Chart API](/api-documentation/rest-api/beta-tv-chart-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dexlab.space/api-documentation/rest-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
